<template>
  <div id="app">
    <h1>todos</h1>
    <InputTodoItem/>
    <ListTodoItems :todos="todos"/>
  </div>
</template>

<script>
import InputTodoItem from './components/InputTodoItem.vue'
import ListTodoItems from './components/ListTodoItems.vue'

export default {
  name: 'app',
  components: {
    InputTodoItem,
    ListTodoItems
  },
  data() {
    return {
      todos: [
        { "id": 1, "order": 1, "completed": true, "description": "Lavar carro"},
        { "id": 2, "order": 2, "completed": false, "description": "Fazer compras"},
        { "id": 3, "order": 3, "completed": false, "description": "Marcar médico"}
      ]
    }
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
